GuideLab API

Revoke lab access to a patient

Revoke a lab's effective access while retaining grant and revocation audit evidence. Under partnership-wide sharing this creates a per-patient exclusion. Active and suspended partnership epochs are supported. Clinic only.

DELETE
/patients/{id}/lab-access

Revoke a lab's effective access while retaining grant and revocation audit evidence. Under partnership-wide sharing this creates a per-patient exclusion. Active and suspended partnership epochs are supported. Clinic only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Patient ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/patients/550e8400-e29b-41d4-a716-446655440000/lab-access" \  -H "Content-Type: application/json" \  -d '{    "labId": "string"  }'
{  "success": true}
Empty
Empty
Empty
Empty
Empty